#
# SPDX-FileCopyrightText: Copyright (c) 2021-2025 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# SPDX-License-Identifier: Apache-2.0#
"""Constants for the Sionna PHY Package"""

import scipy

ALPHA_MAX = 32 # Maximum value
BOLTZMANN_CONSTANT = scipy.constants.Boltzmann  # J/K
DIELECTRIC_PERMITTIVITY_VACUUM = scipy.constants.epsilon_0 # F/m
H = scipy.constants.Planck # J/Hz
PI = scipy.constants.pi
SPEED_OF_LIGHT = scipy.constants.speed_of_light # m/s
